# $Id: mysqltcl.spec,v 1.1 2001/08/25 16:22:51 jfontain Exp $

%define	version	2.51

Summary: 	MySQL interface for Tcl
Name: 		mysqltcl
Version: 	%{version}
Release: 	0
Copyright: 	public domain
Group: 		Development/Languages/Tcl
Source: 	http://www.xdobry.de/mysqltcl/%{name}-%{version}.tar.gz
URL: 		http://www.xdobry.de/mysqltcl
Packager: 	Artur Trzewik <mail@xdobry.de>
BuildRequires: 	tcl >= 8.3.1
Requires: 	tcl >= 8.3.1 mysql
Vendor: 	Author
Buildroot:	%_tmppath/%name-%version-root
%description
Mysqltcl is an extension to the Tool Command Language (Tcl) that
provides high-level access to a MySQL database server.

%prep
%setup -q

%build
./configure --mandir=/usr/share/man
make

%install
rm -rf $RPM_BUILD_ROOT/
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -r $RPM_BUILD_ROOT


%files
%defattr(0644,root,root,755)
%doc README ChangeLog COPYING AUTHORS
%defattr (-,root,root)
%{_libdir}/mysqltcl-%{version}/*
%{_mandir}/mann/*

%changelog
# Version 2.51
* Mon Nov 01 2004 Artur Trzewik
- new command mysqlreceive
- mysqlsel with option -list and -flatlist uses mysql_use_result (from mysql C-API)
# Version 2.50
* Tue Mar 02 2004 Artur Trzewik
- bug in handle managment by subinterpreters was removed by refactoring
# Version 2.41
* Thu Feb 18 2004 Artur Trzewik
- resistant again bug in mysql
- updates in documentation (README file and manual)
- configure script checks also directory /usr/lib for libmysqlclient library
# Version 2.40
* Thu Aug 26 2003 Artur Trzewik
- mysqltcl is now thread safe. The hashtable is hold separated for each thread
# Version 2.31
* Mon Aug 25 2003 Artur Trzewik
- bug in mysqlescape $handle $string fixed (Thanks to Olav Vitters)
# Version 2.30
* Sun Jul 13 2003 Artur Trzewik
- new connection options -ssl -odbc -noschema -compress
- mysqlescape can take also handle as argument to use mysql_real_escape_string and respect character setting
- new command mysqlbaseinfo -connectparameters | -clientversion that return all suported connect parameters or version of client C-API library
- new command mysqlping for checking and refresh of connection
- new command mysqlchangeuser for change user and database
# Version 2.20
* Sun Jun 1 2003 Artur Trzewik
 - mysqlconnect was extended with option -encoding. Similar behavior to fconfigure. (initial patch written by Alexander Schoepe). The Version is not full compatible with oldier version. The differences are be reading date from mysql. Now the date are converted from External to Utf. See documentation for more information.
# Version 2.14
* Thu Apr 17 2003 Artur Trzewik
 - configuration has new future for static linking with mysqlclient library
# Version 2.12
* Sun Feb 23 2003 Artur Trzewik
 - refactoring (options for GetIndexFromObject are defined localy like in Tcl-core)
 - removing unused variables
 - some casts to avoid warnings messages
 - use of Tcl_Preserve and Tcl_Release instead of internal reference count

